import * as tslib_1 from "tslib";
import { Directive, ElementRef, EventEmitter, HostListener, Input, Output } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { ColorPickerModalPage } from '../../pages/color-picker/color-picker-modal.page';
const COLORS = [
    '#FF5733', '#CD5C5C', '#F08080', '#FA8072', '#E9967A', '#FFA07A', '#DC143C', '#FF0000', '#B22222', '#8B0000',
    '#FFC0CB', '#FFB6C1', '#FF69B4', '#FF1493', '#C71585', '#DB7093', '#FFA07A', '#FF7F50', '#FF6347', '#FF4500',
    '#FF8C00', '#FFA500', '#FFD700', '#FFFF00', '#FFFFE0', '#FFFACD', '#FAFAD2', '#FFEFD5', '#FFE4B5', '#FFDAB9',
    '#EEE8AA', '#F0E68C', '#BDB76B', '#E6E6FA', '#D8BFD8', '#DDA0DD', '#EE82EE', '#DA70D6', '#FF00FF', '#FF00FF',
    '#BA55D3', '#9370DB', '#663399', '#8A2BE2', '#9400D3', '#9932CC', '#8B008B', '#800080', '#4B0082', '#6A5ACD',
    '#483D8B', '#7B68EE', '#ADFF2F', '#7FFF00', '#7CFC00', '#00FF00', '#32CD32', '#98FB98', '#90EE90', '#00FA9A',
    '#00FF7F', '#3CB371', '#2E8B57', '#228B22', '#008000', '#006400', '#9ACD32', '#6B8E23', '#808000', '#556B2F',
    '#66CDAA', '#8FBC8B', '#20B2AA', '#008B8B', '#008080', '#00FFFF', '#00FFFF', '#E0FFFF', '#AFEEEE', '#40E0D0',
    '#48D1CC', '#00CED1', '#5F9EA0', '#4682B4', '#B0C4DE', '#B0E0E6', '#ADD8E6', '#87CEEB', '#87CEFA', '#00BFFF',
    '#1E90FF', '#6495ED', '#7B68EE', '#4169E1', '#0000FF', '#0000CD', '#00008B', '#000080', '#191970', '#FFF8DC',
    '#FFEBCD', '#FFE4C4', '#FFDEAD', '#F5DEB3', '#DEB887', '#D2B48C', '#BC8F8F', '#F4A460', '#DAA520', '#B8860B',
    '#CD853F', '#D2691E', '#8B4513', '#A0522D', '#A52A2A', '#800000', '#FFFFFF', '#FFFAFA', '#F0FFF0', '#F5FFFA',
    '#F0FFFF', '#F0F8FF', '#F8F8FF', '#F5F5F5', '#FFF5EE', '#F5F5DC', '#FDF5E6', '#FFFFF0', '#FAEBD7', '#FAF0E6',
    '#FFF0F5', '#FFE4E1', '#DCDCDC', '#D3D3D3', '#C0C0C0', '#A9A9A9', '#808080', '#696969', '#778899', '#708090',
    '#2F4F4F', '#000000', '#C0392B', '#E74C3C', '#9B59B6', '#8E44AD', '#2980B9', '#3498DB', '#1ABC9C', '#16A085',
    '#27AE60', '#2ECC71', '#F1C40F', '#F39C12', '#E67E22', '#D35400', '#ECF0F1', '#BDC3C7', '#95A5A6', '#7F8C8D',
    '#34495E', '#2C3E50'
];
let ColorPickerDirective = class ColorPickerDirective {
    constructor(elementRef, modalController) {
        this.elementRef = elementRef;
        this.modalController = modalController;
        this.colorPickerOpen = new EventEmitter();
        this.colorPickerClose = new EventEmitter();
        this.colorChange = new EventEmitter();
        this.colors = COLORS;
        this.position = 'bottom';
    }
    openColorPicker(event) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const modal = yield this.modalController.create({
                component: ColorPickerModalPage,
                backdropDismiss: true,
                showBackdrop: true,
                componentProps: {
                    colorPickerOpen: this.colorPickerOpen,
                    colorPickerClose: this.colorPickerClose,
                    colorChange: this.colorChange,
                    colors: this.colors
                },
                cssClass: ['cp-color-picker-modal']
            });
            yield modal.present();
        });
    }
};
tslib_1.__decorate([
    Output(),
    tslib_1.__metadata("design:type", EventEmitter)
], ColorPickerDirective.prototype, "colorPickerOpen", void 0);
tslib_1.__decorate([
    Output(),
    tslib_1.__metadata("design:type", EventEmitter)
], ColorPickerDirective.prototype, "colorPickerClose", void 0);
tslib_1.__decorate([
    Output(),
    tslib_1.__metadata("design:type", EventEmitter)
], ColorPickerDirective.prototype, "colorChange", void 0);
tslib_1.__decorate([
    Input(),
    tslib_1.__metadata("design:type", Array)
], ColorPickerDirective.prototype, "colors", void 0);
tslib_1.__decorate([
    Input(),
    tslib_1.__metadata("design:type", Object)
], ColorPickerDirective.prototype, "position", void 0);
tslib_1.__decorate([
    HostListener('click', ['$event']),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [Object]),
    tslib_1.__metadata("design:returntype", Promise)
], ColorPickerDirective.prototype, "openColorPicker", null);
ColorPickerDirective = tslib_1.__decorate([
    Directive({
        selector: '[ionicColorPicker]'
    }),
    tslib_1.__metadata("design:paramtypes", [ElementRef,
        ModalController])
], ColorPickerDirective);
export { ColorPickerDirective };
//# sourceMappingURL=color-picker.directive.js.map